summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZdenek Kabelac <zkabelac@redhat.com>2020-10-02 19:19:30 +0200
committerZdenek Kabelac <zkabelac@redhat.com>2020-10-02 22:27:00 +0200
commit5e26a2b74d14bebeeba20ec5b082fac752cc7236 (patch)
tree89460cf9de2c16da777ea4ae3dde09af2727f52a
parent8d9b4c624f5738035ef9a7af19cb85b6960ca080 (diff)
downloadlvm2-5e26a2b74d14bebeeba20ec5b082fac752cc7236.tar.gz
tests: aux hides zero and error device
When ERR_DEV and ZERO_DEV are used, they are automatically taken down when the last user no longer needs them, so hide them from 'forgotten' device check.
-rw-r--r--test/lib/aux.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index 02989c5cb..5dbb580be 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -516,14 +516,14 @@ teardown() {
echo -n "## teardown..."
unset LVM_LOG_FILE_EPOCH
- test ! -f ERR_DEV || should dmsetup remove $(cat ERR_DEV_NAME)
- test ! -f ZERO_DEV || should dmsetup remove $(cat ZERO_DEV_NAME)
-
if test -f TESTNAME ; then
if test ! -f SKIP_THIS_TEST ; then
# Evaluate left devices only for non-skipped tests
- TEST_LEAKED_DEVICES=$(dmsetup table | grep "$PREFIX" | grep -Ev "${PREFIX}(pv|[0-9])") || true
+ TEST_LEAKED_DEVICES=$(dmsetup table | grep "$PREFIX" | \
+ grep -Ev "${PREFIX}(pv|[0-9])" | \
+ grep -v "$(cat ERR_DEV_NAME 2>/dev/null)" | \
+ grep -v "$(cat ZERO_DEV_NAME 2>/dev/null)") || true
fi
kill_tagged_processes